Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.genericinsurability.protocol.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.genericinsurability.protocol.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.genericinsurability.protocol.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.genericinsurability.protocol.v1

Method Summary
`JAXBElement<GetInsurabilityAsXmlOrFlatRequestType>` | `createGetInsurabilityAsFlatRequest(GetInsurabilityAsXmlOrFlatRequestType value)` Create an instance of `JAXBElement``<``GetInsurabilityAsXmlOrFlatRequestType``>`}
`GetInsurabilityAsFlatResponse` | `createGetInsurabilityAsFlatResponse()` Create an instance of `GetInsurabilityAsFlatResponse`
`GetInsurabilityAsXmlOrFlatRequestType` | `createGetInsurabilityAsXmlOrFlatRequestType()` Create an instance of `GetInsurabilityAsXmlOrFlatRequestType`
`JAXBElement<GetInsurabilityAsXmlOrFlatRequestType>` | `createGetInsurabilityRequest(GetInsurabilityAsXmlOrFlatRequestType value)` Create an instance of `JAXBElement``<``GetInsurabilityAsXmlOrFlatRequestType``>`}
`GetInsurabilityResponse` | `createGetInsurabilityResponse()` Create an instance of `GetInsurabilityResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.genericinsurability.protocol.v1

Method Detail

### createGetInsurabilityAsXmlOrFlatRequestType

    public GetInsurabilityAsXmlOrFlatRequestType createGetInsurabilityAsXmlOrFlatRequestType()

  Create an instance of `GetInsurabilityAsXmlOrFlatRequestType`

### createGetInsurabilityResponse

    public GetInsurabilityResponse createGetInsurabilityResponse()

  Create an instance of `GetInsurabilityResponse`

### createGetInsurabilityAsFlatResponse

    public GetInsurabilityAsFlatResponse createGetInsurabilityAsFlatResponse()

  Create an instance of `GetInsurabilityAsFlatResponse`

### createGetInsurabilityRequest

    public JAXBElement<GetInsurabilityAsXmlOrFlatRequestType> createGetInsurabilityRequest(GetInsurabilityAsXmlOrFlatRequestType value)

  Create an instance of `JAXBElement``<``GetInsurabilityAsXmlOrFlatRequestType``>`}

### createGetInsurabilityAsFlatRequest

    public JAXBElement<GetInsurabilityAsXmlOrFlatRequestType> createGetInsurabilityAsFlatRequest(GetInsurabilityAsXmlOrFlatRequestType value)

  Create an instance of `JAXBElement``<``GetInsurabilityAsXmlOrFlatRequestType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.